package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.RelWagaBas;

/** 泵站基本信息关联 Service */
public interface RelWagaBasService {
    /**
     * 查询泵站基本信息关联列表
     *
     * @param relWagaBas 查询条件
     * @return 泵站基本信息关联列表
     */
    public List<RelWagaBas> selectRelWagaBasList(RelWagaBas relWagaBas);

    /**
     * 通过主键查询泵站基本信息关联
     *
     * @param relWagaBas 查询条件
     * @return 泵站基本信息关联
     */
    public RelWagaBas selectRelWagaBasById(RelWagaBas relWagaBas);

    /**
     * 删除泵站基本信息关联
     *
     * @param relWagaBas 删除条件
     * @return 删除行数
     */
    public int deleteRelWagaBasById(RelWagaBas relWagaBas);

    /**
     * 新增泵站基本信息关联
     *
     * @param relWagaBas 泵站基本信息关联
     * @return 插入行数
     */
    public int insertRelWagaBas(RelWagaBas relWagaBas);

    /**
     * 修改泵站基本信息关联
     *
     * @param relWagaBas 泵站基本信息关联
     * @return 更新行数
     */
    public int updateRelWagaBas(RelWagaBas relWagaBas);
}
